Index: uspace/lib/c/arch/abs32le/include/types.h
===================================================================
--- uspace/lib/c/arch/abs32le/include/types.h	(revision aa865eefade0c09ca3f576af9195700b0ba9bf57)
+++ uspace/lib/c/arch/abs32le/include/types.h	(revision 80e9e5edd009650fe1b6323206b0bb22db7900cc)
@@ -51,4 +51,5 @@
 typedef uint32_t size_t;
 
+typedef int32_t intptr_t;
 typedef uint32_t uintptr_t;
 typedef uint32_t atomic_count_t;
Index: uspace/lib/c/arch/amd64/include/types.h
===================================================================
--- uspace/lib/c/arch/amd64/include/types.h	(revision aa865eefade0c09ca3f576af9195700b0ba9bf57)
+++ uspace/lib/c/arch/amd64/include/types.h	(revision 80e9e5edd009650fe1b6323206b0bb22db7900cc)
@@ -51,4 +51,5 @@
 typedef uint64_t size_t;
 
+typedef int64_t intptr_t;
 typedef uint64_t uintptr_t;
 typedef uint64_t atomic_count_t;
Index: uspace/lib/c/arch/arm32/include/types.h
===================================================================
--- uspace/lib/c/arch/arm32/include/types.h	(revision aa865eefade0c09ca3f576af9195700b0ba9bf57)
+++ uspace/lib/c/arch/arm32/include/types.h	(revision 80e9e5edd009650fe1b6323206b0bb22db7900cc)
@@ -52,4 +52,5 @@
 typedef uint32_t size_t;
 
+typedef int32_t intptr_t;
 typedef uint32_t uintptr_t;
 typedef uint32_t atomic_count_t;
Index: uspace/lib/c/arch/ia32/include/atomic.h
===================================================================
--- uspace/lib/c/arch/ia32/include/atomic.h	(revision aa865eefade0c09ca3f576af9195700b0ba9bf57)
+++ uspace/lib/c/arch/ia32/include/atomic.h	(revision 80e9e5edd009650fe1b6323206b0bb22db7900cc)
@@ -43,6 +43,6 @@
 {
 	asm volatile (
-		"lock incl %[count]\n"
-		: [count] "+m" (val->count)
+		"lock incl %0\n"
+		: "+m" (val->count)
 	);
 }
@@ -51,6 +51,6 @@
 {
 	asm volatile (
-		"lock decl %[count]\n"
-		: [count] "+m" (val->count)
+		"lock decl %0\n"
+		: "+m" (val->count)
 	);
 }
@@ -61,7 +61,7 @@
 	
 	asm volatile (
-		"lock xaddl %[r], %[count]\n"
-		: [count] "+m" (val->count),
-		  [r] "+r" (r)
+		"lock xaddl %1, %0\n"
+		: "+m" (val->count),
+		  "+r" (r)
 	);
 	
@@ -74,7 +74,7 @@
 	
 	asm volatile (
-		"lock xaddl %[r], %[count]\n"
-		: [count] "+m" (val->count),
-		  [r] "+r" (r)
+		"lock xaddl %1, %0\n"
+		: "+m" (val->count),
+		  "+r" (r)
 	);
 	
Index: uspace/lib/c/arch/ia32/include/ddi.h
===================================================================
--- uspace/lib/c/arch/ia32/include/ddi.h	(revision aa865eefade0c09ca3f576af9195700b0ba9bf57)
+++ uspace/lib/c/arch/ia32/include/ddi.h	(revision 80e9e5edd009650fe1b6323206b0bb22db7900cc)
@@ -44,7 +44,7 @@
 	
 	asm volatile (
-		"inb %w[port], %b[val]\n"
-		: [val] "=a" (val)
-		: [port] "d" (port)
+		"inb %w1, %b0\n"
+		: "=a" (val)
+		: "d" (port)
 	);
 	
@@ -57,7 +57,7 @@
 	
 	asm volatile (
-		"inw %w[port], %w[val]\n"
-		: [val] "=a" (val)
-		: [port] "d" (port)
+		"inw %w1, %w0\n"
+		: "=a" (val)
+		: "d" (port)
 	);
 	
@@ -70,7 +70,7 @@
 	
 	asm volatile (
-		"inl %w[port], %[val]\n"
-		: [val] "=a" (val)
-		: [port] "d" (port)
+		"inl %w1, %0\n"
+		: "=a" (val)
+		: "d" (port)
 	);
 	
@@ -81,6 +81,6 @@
 {
 	asm volatile (
-		"outb %b[val], %w[port]\n"
-		:: [val] "a" (val), [port] "d" (port)
+		"outb %b0, %w1\n"
+		:: "a" (val), "d" (port)
 	);
 }
@@ -89,6 +89,6 @@
 {
 	asm volatile (
-		"outw %w[val], %w[port]\n"
-		:: [val] "a" (val), [port] "d" (port)
+		"outw %w0, %w1\n"
+		:: "a" (val), "d" (port)
 	);
 }
@@ -97,6 +97,6 @@
 {
 	asm volatile (
-		"outl %[val], %w[port]\n"
-		:: [val] "a" (val), [port] "d" (port)
+		"outl %0, %w1\n"
+		:: "a" (val), "d" (port)
 	);
 }
Index: uspace/lib/c/arch/ia32/include/types.h
===================================================================
--- uspace/lib/c/arch/ia32/include/types.h	(revision aa865eefade0c09ca3f576af9195700b0ba9bf57)
+++ uspace/lib/c/arch/ia32/include/types.h	(revision 80e9e5edd009650fe1b6323206b0bb22db7900cc)
@@ -51,4 +51,5 @@
 typedef uint32_t size_t;
 
+typedef int32_t intptr_t;
 typedef uint32_t uintptr_t;
 typedef uint32_t atomic_count_t;
Index: uspace/lib/c/arch/ia64/include/types.h
===================================================================
--- uspace/lib/c/arch/ia64/include/types.h	(revision aa865eefade0c09ca3f576af9195700b0ba9bf57)
+++ uspace/lib/c/arch/ia64/include/types.h	(revision 80e9e5edd009650fe1b6323206b0bb22db7900cc)
@@ -61,4 +61,5 @@
 typedef uint64_t size_t;
 
+typedef int64_t intptr_t;
 typedef uint64_t uintptr_t;
 typedef uint64_t atomic_count_t;
Index: uspace/lib/c/arch/mips32/include/types.h
===================================================================
--- uspace/lib/c/arch/mips32/include/types.h	(revision aa865eefade0c09ca3f576af9195700b0ba9bf57)
+++ uspace/lib/c/arch/mips32/include/types.h	(revision 80e9e5edd009650fe1b6323206b0bb22db7900cc)
@@ -52,4 +52,5 @@
 typedef uint32_t size_t;
 
+typedef int32_t intptr_t;
 typedef uint32_t uintptr_t;
 typedef uint32_t atomic_count_t;
Index: uspace/lib/c/arch/ppc32/include/types.h
===================================================================
--- uspace/lib/c/arch/ppc32/include/types.h	(revision aa865eefade0c09ca3f576af9195700b0ba9bf57)
+++ uspace/lib/c/arch/ppc32/include/types.h	(revision 80e9e5edd009650fe1b6323206b0bb22db7900cc)
@@ -51,4 +51,5 @@
 typedef uint32_t size_t;
 
+typedef int32_t intptr_t;
 typedef uint32_t uintptr_t;
 typedef uint32_t atomic_count_t;
Index: uspace/lib/c/arch/sparc64/include/types.h
===================================================================
--- uspace/lib/c/arch/sparc64/include/types.h	(revision aa865eefade0c09ca3f576af9195700b0ba9bf57)
+++ uspace/lib/c/arch/sparc64/include/types.h	(revision 80e9e5edd009650fe1b6323206b0bb22db7900cc)
@@ -51,4 +51,5 @@
 typedef uint64_t size_t;
 
+typedef int64_t intptr_t;
 typedef uint64_t uintptr_t;
 typedef uint64_t atomic_count_t;
